# Uses of Interface
org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil.ServiceInterface1

Packages that use ServiceInterface1
Package
Description
org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil
org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil.activatedeactivate
org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil.bindunbind

## Uses of ServiceInterface1 in org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil

Classes in org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil that implement ServiceInterface1
Modifier and Type
Class
Description
`class`
`Service1`
Methods in org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil that return ServiceInterface1
Modifier and Type
Method
Description
`ServiceInterface1`
Service3.`getReference1()`
`ServiceInterface1`
Service3OsgiR6.`getReference1()`
`ServiceInterface1`
Service3OsgiR6ComponentServiceObjectsImpl.`getReference1()`
`ServiceInterface1`
Service3OsgiR6Impl.`getReference1()`
`ServiceInterface1`
Service3StaticGreedy.`getReference1()`
`ServiceInterface1`
Service3StaticGreedyConstructorInjectionComponentServiceObjectsImpl.`getReference1()`
`ServiceInterface1`
Service3StaticGreedyConstructorInjectionImpl.`getReference1()`
`ServiceInterface1`
Service3StaticGreedyImpl.`getReference1()`
`ServiceInterface1`
Service4.`getReference1()`
Methods in org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil that return types with arguments of type ServiceInterface1
Modifier and Type
Method
Description
`Optional<ServiceInterface1>`
Service3OsgiR8OptionalField.`getOptionalService1()`
`Optional<ServiceInterface1>`
Service3OsgiR8OptionalFieldImpl.`getOptionalService1()`
Methods in org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil with parameters of type ServiceInterface1
Modifier and Type
Method
Description
`protected void`
Service3StaticGreedyImpl.`bindReference1(ServiceInterface1 service)`
`protected void`
Service4.`customBind(ServiceInterface1 service)`
`protected void`
Service4.`customUnbind(ServiceInterface1 service)`
`protected void`
Service3StaticGreedyImpl.`unbindReference1(ServiceInterface1 service)`
Constructors in org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil with parameters of type ServiceInterface1
Modifier
Constructor
Description
``
`Service3StaticGreedyConstructorInjectionImpl(ServiceInterface1 reference1, ServiceInterface1Optional reference1Optional, List<org.osgi.framework.ServiceReference<ServiceInterface2>> references2, List<ServiceSuperInterface3> references3, org.osgi.service.component.ComponentContext ctx, Map<String,Object> config)`
``
`Service3StaticGreedyConstructorInjectionImpl(ServiceInterface1 reference1, ServiceInterface1Optional reference1Optional, List<org.osgi.framework.ServiceReference<ServiceInterface2>> references2, List<ServiceSuperInterface3> references3, org.osgi.service.component.ComponentContext ctx, Map<String,Object> config, Object illegalParameter)`
Constructor parameters in org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil with type arguments of type ServiceInterface1
Modifier
Constructor
Description
``
`Service3StaticGreedyConstructorInjectionComponentServiceObjectsImpl(org.osgi.service.component.ComponentServiceObjects<ServiceInterface1> reference1, org.osgi.service.component.ComponentServiceObjects<ServiceInterface1Optional> reference1Optional, List<org.osgi.service.component.ComponentServiceObjects<ServiceInterface2>> references2, List<org.osgi.service.component.ComponentServiceObjects<ServiceSuperInterface3>> references3, org.osgi.service.component.ComponentContext ctx, Map<String,Object> config)`
``
`Service3StaticGreedyConstructorInjectionComponentServiceObjectsImpl(org.osgi.service.component.ComponentServiceObjects<ServiceInterface1> reference1, org.osgi.service.component.ComponentServiceObjects<ServiceInterface1Optional> reference1Optional, List<org.osgi.service.component.ComponentServiceObjects<ServiceInterface2>> references2, List<org.osgi.service.component.ComponentServiceObjects<ServiceSuperInterface3>> references3, org.osgi.service.component.ComponentContext ctx, Map<String,Object> config, Object illegalParameter)`

## Uses of ServiceInterface1 in org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil.activatedeactivate

Classes in org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil.activatedeactivate that implement ServiceInterface1
Modifier and Type
Class
Description
`class`
`Service8`
`class`
`Service9`
SLING-11860 - subclass to provide more specific activate/deactivate/bind/unbind methods
`class`
`Service9Super1`
SLING-11860 - Superclass that provides generic activate/deactivate/bind/unbind methods
Methods in org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil.activatedeactivate with parameters of type ServiceInterface1
Modifier and Type
Method
Description
`protected void`
Service9.`bindServiceInterface1(ServiceInterface1 svc1, org.osgi.framework.ServiceReference<ServiceInterface1> svc1Ref)`
`protected void`
Service9Super1.`bindServiceInterface1(ServiceInterface1 svc1)`
`protected void`
Service9.`unbindServiceInterface1(ServiceInterface1 svc1, org.osgi.framework.ServiceReference<ServiceInterface1> svc1Ref)`
`protected void`
Service9Super1.`unbindServiceInterface1(ServiceInterface1 svc1)`
Method parameters in org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil.activatedeactivate with type arguments of type ServiceInterface1
Modifier and Type
Method
Description
`protected void`
Service9.`bindServiceInterface1(ServiceInterface1 svc1, org.osgi.framework.ServiceReference<ServiceInterface1> svc1Ref)`
`protected void`
Service9.`unbindServiceInterface1(ServiceInterface1 svc1, org.osgi.framework.ServiceReference<ServiceInterface1> svc1Ref)`

## Uses of ServiceInterface1 in org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil.bindunbind

Methods in org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil.bindunbind that return types with arguments of type ServiceInterface1
Modifier and Type
Method
Description
`List<ServiceInterface1>`
Service1.`getInstances()`
`List<ServiceInterface1>`
Service3.`getInstances()`
`List<ServiceInterface1>`
Service5.`getInstances()`
`List<org.osgi.framework.ServiceReference<ServiceInterface1>>`
Service2.`getReferences()`
`List<org.osgi.framework.ServiceReference<ServiceInterface1>>`
Service3.`getReferences()`
`List<org.osgi.framework.ServiceReference<ServiceInterface1>>`
Service5.`getReferences()`